Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.svimservice.nsisr.web.ws.dotazioneorganica.vo.dotazioneorganicaset
Class PostoPrevistoSet

    java.lang.Object
      it.svimservice.nsisr.web.ws.dotazioneorganica.vo.dotazioneorganicaset.PostoPrevistoSet

    public class PostoPrevistoSet

extends java.lang.Object

Dati di dettaglio del posto previsto.

Field Summary
`private java.lang.String` | `codDisciplina` Disciplina ospedaliera o specialità clinica prevista dal D.M. 31/01/98 e s.m.i.
`private java.lang.String` | `codProfilo` Codice del profilo professionale riconosciuto dalla normativa e dai contratti collettivi di lavoro.
`private java.lang.Integer` | `codQualifica` Codice della qualifica riconosciuta dalla normativa e dai contratti collettivi di lavoro del Comparto Sanità.
`private int` | `codRuolo` Codice tipologia di ruolo associato al dipendente SSR.
`private java.lang.Integer` | `codTipologiaIncarico` Codice tipologia incarico funzionale riconosciuta dalla normativa e dai contratti collettivi di lavoro riconosciuta dal CCNL.
`private int` | `numPostiPrevisti` Quantità posti previsti.

Constructor Summary
`PostoPrevistoSet()`

Method Summary
`java.lang.String` | `getCodDisciplina()`
`java.lang.String` | `getCodProfilo()`
`java.lang.Integer` | `getCodQualifica()`
`int` | `getCodRuolo()`
`java.lang.Integer` | `getCodTipologiaIncarico()`
`int` | `getNumPostiPrevisti()`
`void` | `setCodDisciplina(java.lang.String codDisciplina)`
`void` | `setCodProfilo(java.lang.String codProfilo)`
`void` | `setCodQualifica(java.lang.Integer codQualifica)`
`void` | `setCodRuolo(int codRuolo)`
`void` | `setCodTipologiaIncarico(java.lang.Integer codTipologiaIncarico)`
`void` | `setNumPostiPrevisti(int numPostiPrevisti)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### codRuolo

    @Facets(totalDigits=4L)
    @MinOccurs(value=1L)
    private int codRuolo

  Codice tipologia di ruolo associato al dipendente SSR. Cfr. Appendice A - D4.14 D4.15 Specifica tecnica dei flussi informativi ed esportazione dati Area Dotazioni Organiche e Ruoli Nominativi del Personale.

### codProfilo

    @Facets(minLength=1L,
            maxLength=3L)
    @MinOccurs(value=1L)
    private java.lang.String codProfilo

  Codice del profilo professionale riconosciuto dalla normativa e dai contratti collettivi di lavoro. Cfr. Appendice B (per dirigenza), Appendice C (per comparto) - D4.14 D4.15 Specifica tecnica dei flussi informativi ed esportazione dati Area Dotazioni Organiche e Ruoli Nominativi del Personale.

### codTipologiaIncarico

    @Facets(totalDigits=3L)
    @MinOccurs(value=0L)
    private java.lang.Integer codTipologiaIncarico

  Codice tipologia incarico funzionale riconosciuta dalla normativa e dai contratti collettivi di lavoro riconosciuta dal CCNL. Cfr. Appendice B - D4.14 D4.15 Specifica tecnica dei flussi informativi ed esportazione dati Area Dotazioni Organiche e Ruoli Nominativi del Personale. Il campo è obbligatorio per la dirigenza.

### codQualifica

    @Facets(totalDigits=3L)
    @MinOccurs(value=0L)
    private java.lang.Integer codQualifica

  Codice della qualifica riconosciuta dalla normativa e dai contratti collettivi di lavoro del Comparto Sanità. Cfr. Appendice C - D4.14 D4.15 Specifica tecnica dei flussi informativi ed esportazione dati Area Dotazioni Organiche e Ruoli Nominativi del Personale. Il campo è obbligatorio in caso di comparto.

### codDisciplina

    @Facets(maxLength=6L)
    @MinOccurs(value=0L)
    private java.lang.String codDisciplina

  Disciplina ospedaliera o specialità clinica prevista dal D.M. 31/01/98 e s.m.i. Il campo è obbligatorio per la dirigenza con ruolo Sanitario. Cfr. Appendice D - D4.14 D4.15 Specifica tecnica dei flussi informativi ed esportazione dati Area Dotazioni Organiche e Ruoli Nominativi del Personale.

### numPostiPrevisti

    @Facets(totalDigits=5L)
    @MinOccurs(value=1L)
    private int numPostiPrevisti

  Quantità posti previsti.

Constructor Detail

### PostoPrevistoSet

    public PostoPrevistoSet()

Method Detail

### setCodRuolo

    public void setCodRuolo(int codRuolo)

### getCodRuolo

    public int getCodRuolo()

### setCodProfilo

    public void setCodProfilo(java.lang.String codProfilo)

### getCodProfilo

    public java.lang.String getCodProfilo()

### setNumPostiPrevisti

    public void setNumPostiPrevisti(int numPostiPrevisti)

### getNumPostiPrevisti

    public int getNumPostiPrevisti()

### setCodTipologiaIncarico

    public void setCodTipologiaIncarico(java.lang.Integer codTipologiaIncarico)

### getCodTipologiaIncarico

    public java.lang.Integer getCodTipologiaIncarico()

### setCodQualifica

    public void setCodQualifica(java.lang.Integer codQualifica)

### getCodQualifica

    public java.lang.Integer getCodQualifica()

### setCodDisciplina

    public void setCodDisciplina(java.lang.String codDisciplina)

### getCodDisciplina

    public java.lang.String getCodDisciplina()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD